#
# Be gay. Do puck(ification).
#
{ ... }:
let

  overlay = (
    self: super: {

      # UwU.
      yubikey-touch-detector = super.yubikey-touch-detector.overrideAttrs (
        finalAttrs: previousAttrs: {
          patches = [ ./00-puckify.patch ];
        }
      );

    }
  );
in
{
  nixpkgs.overlays = [ overlay ];
}
